Bug 57433 - g++ 2.96 Internal compiler error in scan_region, at except.c: 2809
g++ 2.96 Internal compiler error in scan_region, at except.c: 2809
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-12 10:24 EST by eric.brun
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-12 10:24:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description eric.brun 2001-12-12 10:24:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.7 [fr] (WinNT; I)

Description of problem:
TAO 1.2 product generation with a standard config_linux.h and platform_linux.GNU configuration reports the following error
(several times through the whole TAO generation).

g++ -W -Wall -Wpointer-arith -pipe -O3 -g -Wno-uninitialized 
-fno-implicit-templates   -D_POSIX_THREADS 
-D_POSIX_THREAD_SAFE_FUNCTIONS -D_REENTRANT -DACE_HAS_AIO_CALLS  
-I/home/ngn_unt/SW-Non-Alcatel/ACE_wrappers -DACE_HAS_EXCEPTIONS
-I/home/ngn_unt/SW-Non-Alcatel/ACE_wrappers/TAO  -c -fPIC -o 
.shobj/PolicyS.o PolicyS.cpp
PolicyS.cpp: In function `void
POA_CORBA_Policy::_get_policy_type_skel
(TAO_ServerRequest &, void *, void *, Environment &)':
PolicyS.cpp:894: Internal compiler error in scan_region, at
except.c:
2809
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[2]: *** [.shobj/PolicyS.o] Error 2
make[2]: Leaving directory 
`/home/ngn_unt/SW-Non-Alcatel/ACE_wrappers/TAO/tao/PortableServer'



Version-Release number of selected component (if applicable):
RH 7.1.2.96-81
g++ 2.96 20000731

How reproducible:
Always

Steps to Reproduce:
1.make the ACE 5.2/TAO 1.2 product with a standard config_linux.h and platform_linux.GNU configuration
2.ACE compiles well
3.TAO fails first at the reported error and after many times with the erported error but on different sources.
	

Additional info:
Comment 1 Jakub Jelinek 2001-12-18 10:52:31 EST
Please upgrade your gcc rpm, this has been fixed. E.g. 2.96-98 or above
should do the trick.

Note You need to log in before you can comment on or make changes to this bug.